Skip to main content
POST
/
agent-workers
/
workers
/
{worker_id}
/
heartbeat
Heartbeat an agent worker
curl --request POST \
  --url https://api.veryfront.com/agent-workers/workers/{worker_id}/heartbeat \
  --header 'Authorization: Bearer <token>'
{
  "worker": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "implementation_kind": "<string>",
    "worker_key": "<string>",
    "display_name": "<string>",
    "status": "active",
    "last_heartbeat_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "metadata": null
  },
  "token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

worker_id
string<uuid>
required

Response

200 - application/json

Agent worker heartbeat accepted

worker
object
required
token
string | null